#
# spec file for package perl-BerkeleyDB (Version 0.26)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-BerkeleyDB
BuildRequires:  db-devel
URL:            http://www.cpan.org
License:        Artistic License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        Perl Module for Accessing Berkeley DB Functions
Version:        0.26
Release:        16.2
Source:         BerkeleyDB-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BerkeleyDB is a module that allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or greater. If you want to
use version 1 of Berkeley DB with Perl, you need the DB_File module.



Authors:
--------
    Paul Marquess <pmqs@cpan.org>

%debug_package
%prep
%setup -n BerkeleyDB-%{version}

%build
perl Makefile.PL
make
%ifnarch %arm
make test
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorarch}/BerkeleyDB*
%{perl_vendorarch}/auto/BerkeleyDB
%doc %{_mandir}/man3/*
%doc Changes MANIFEST README Todo
/var/adm/perl-modules/perl-BerkeleyDB

%changelog -n perl-BerkeleyDB
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 - uli@suse.de
- no test on ARM (unimplemented calls in QEMU)
* Tue Nov 23 2004 - ro@suse.de
- update to 0.26
* Mon Sep 20 2004 - ro@suse.de
- check for recent kernel also on i386
* Mon Sep 20 2004 - ro@suse.de
- require a recent kernel to build (check-build.sh)
* Wed Aug 25 2004 - choeger@suse.de
- new package perl-BerkeleyDB, v0.25
